Skip to navigation

Assign permission profiles for user by user ID

View as Markdown

Sets permission profiles for one or more products for a given user. The user is specified by the userId path parameter.

Required authentication scopes: user_write.

Authentication

AuthorizationBearer
OAuth2 Access code Grant

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization ID GUID
accountIdstringRequiredformat: "uuid"
The account ID GUID
userIdstringRequiredformat: "uuid"
The user ID GUID

Request

This endpoint expects an object: productPermissionProfilesRequest

product_permission_profileslist of objectsRequired
A list of one or more products and their respective permissions.

Response

OK
user_idstringOptionalformat: "uuid"
The ID of the user.
account_idstringOptionalformat: "uuid"
The ID of the account.
product_permission_profileslist of objectsOptional
A list of one or more products and their respective permissions.